<!DOCTYPE html>
<html lang="ru"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Добавить фильм</title>
</head>
<body>
<div layout:fragment="content">
    <h3 class="mt-3 mb-3">Добавить фильм</h3>
    <form enctype="multipart/form-data" class="needs-validation" novalidate style="max-width: 50vw" method="POST" th:action="@{/films/add}" th:object="${filmForm}">
        <div class="mt-3 row g-2">
            <div class="col-md">
                <div class="form-floating">
                    <input name="filmTitle" type="text" class="form-control" id="filmTitle" placeholder="The name of the movie" required>
                    <label for="filmTitle">Название</label>
                    <div class="invalid-feedback">Обязательное поле для заполнения</div>
                </div>
            </div>
            <div class="col-md">
                <div class="form-floating">
                    <input name="premierYear" type="date" class="form-control" id="premierYear" placeholder="Year of premier" required>
                    <label for="premierYear">Дата выхода</label>
                    <div class="invalid-feedback">Обязательное поле для заполнения</div>
                </div>
            </div>
            <div class="col-md">
                <div class="form-floating">
                    <input name="country" type="text" class="form-control" id="country" placeholder="Country" required>
                    <label for="country">Страна</label>
                    <div class="invalid-feedback">Обязательное поле для заполнения</div>
                </div>
            </div>
            <div class="col-md">
                <div class="form-floating">
                    <select class="form-select" name="genre" id="genre" required>
                        <option selected value="default">Выберите жанр:</option>
                        <option th:each="genre : ${T(com.example.CinemaLibrary.model.Genre).values()}"
                                th:value="${genre}" th:text="${genre.getGenreTextDisplay()}"></option>
                    </select>
                    <label for="genre">Жанр</label>
                    <div class="invalid-feedback">Обязательное поле для заполнения</div>
                </div>
            </div>
        </div>
        <div class="mt-3 row g-2">
            <button type="submit" class="btn btn-primary">Добавить</button>
            <button type="button" class="btn btn-secondary" onclick="window.history.back()">назад</button>
        </div>
    </form>
</div>
</body>
</html>